com.trilead.ssh2.packets

## Class PacketServiceRequest

- java.lang.Object
- - com.trilead.ssh2.packets.PacketServiceRequest

    public class PacketServiceRequest
    extends java.lang.Object

PacketServiceRequest.

### Constructor Summary

Constructors
Constructor and Description
`PacketServiceRequest(byte[] payload, int off, int len)`
`PacketServiceRequest(java.lang.String serviceName)`

### Method Summary

Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketServiceRequest

    public PacketServiceRequest(java.lang.String serviceName)

#### PacketServiceRequest

    public PacketServiceRequest(byte[] payload,
                        int off,
                        int len)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getPayload

    public byte[] getPayload()